Bug 168153 - [PATCH] databases/spatialite: update to 3.0.1
[PATCH] databases/spatialite: update to 3.0.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
Depends on:
  Show dependency treegraph
Reported: 2012-05-19 23:40 UTC by coder
Modified: 2012-05-24 02:40 UTC (History)
1 user (show)

See Also:

file.diff (2.03 KB, patch)
2012-05-19 23:40 UTC, coder
no flags Details | Diff
spatialite.diff (3.05 KB, patch)
2012-05-20 10:13 UTC, coder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description coder 2012-05-19 23:40:01 UTC
update spatialite 2.2 -> 3.0.1

Need freexl (it's a new port)
Comment 1 Edwin Groothuis freebsd_committer 2012-05-19 23:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wenheping@gmail.com => wen@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-19 23:40:13 UTC
Maintainer of databases/spatialite,

Please note that PR ports/168153 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 3 Edwin Groothuis freebsd_committer 2012-05-19 23:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 coder 2012-05-20 10:13:06 UTC
I made a mistake with the patch (i forgot the plist...).

Here is the good.

Comment 5 scheidell freebsd_committer 2012-05-20 12:28:26 UTC

I have freexl new port.


I am suggesting the category be textproc/freexl, which will change the 


1) give you pr ports/168131
2) gohead and change category to textproc/freexi and commit new port, 
(add you to Cc list and add audit to this pr)
3) leave it in databases/freexi

(I like #2)
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 6 scheidell freebsd_committer 2012-05-20 20:37:55 UTC
pr ports/168131 
<http://www.freebsd.org/cgi/query-pr.cgi?pr=168131&cat=ports>  but, as 

please adjust LIB_DEPENDS.
Note to wen@.  you have my permission to edit/modify, change, commit 
changes to pr ports/168131 
<http://www.freebsd.org/cgi/query-pr.cgi?pr=168131&cat=ports> as needed.
I have left it suspended until you are happy it works with spatialite 3.0.1

Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 dfilter freebsd_committer 2012-05-24 02:30:48 UTC
wen         2012-05-24 01:30:23 UTC

  FreeBSD ports repository

  Modified files:
    databases/spatialite Makefile distinfo pkg-plist 
  - Update to 3.0.1
  PR:             168153
  Submitted by:   lbartoletti <coder@tuxfamily.org>
  Revision  Changes    Path
  1.11      +15 -10    ports/databases/spatialite/Makefile
  1.4       +2 -2      ports/databases/spatialite/distinfo
  1.3       +16 -12    ports/databases/spatialite/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wen Heping freebsd_committer 2012-05-24 02:32:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!